// Craft System Script v.0.2 by SickLab

using System;

namespace Server.Scripts.CraftSystems
{
	public class CraftItemCol : System.Collections.CollectionBase
	{
		public CraftItemCol()
		{
		}

		public int Add( CraftItem craftItem )
		{
			return List.Add( craftItem );
		}

		public void Remove( int index )
		{
			if ( index > Count - 1 || index < 0 )
			{
			}
			else
			{
				List.RemoveAt( index );
			}
		}

		public CraftItem GetAt( int index )
		{
			return ( CraftItem ) List[index];
		}

		public CraftItem SearchFor( Type type )
		{
			for ( int i = 0; i < List.Count; i++ )
			{
				CraftItem craftItem = ( CraftItem )List[i];
				if ( craftItem.ItemType == type )
				{
					return craftItem;
				}
			}
			return null;
		}
	}
}