using System;
using Server.Items;

namespace Server.Scripts.Items.Armor.Bone
{
	public class BoneGloves : BaseArmor
	{
		[Constructable]
		public BoneGloves() : base( 0x1450, OreInfo.Iron, 2, ArmorMaterialType.Bone, ArmorBodyType.Gloves )
		{
			Weight = 1;
			DexBonus = -1;
			StrRequirement = 40;
		}
		public BoneGloves( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}