using System;
using Server.Items;

namespace Server.Scripts.Items.Armor.Helmets
{
	public class LeatherCap : BaseArmor
	{
		[Constructable]
		public LeatherCap() : base( 0x1DB9, OreInfo.Iron, 13, ArmorMaterialType.Leather, ArmorBodyType.Helmet )
		{
			Weight = 1;
			DexBonus = 0;
			StrRequirement = 15;
		}

		public LeatherCap( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}