using System;
using Server.Items;

namespace Server.Scripts.Items.Armor.Plate
{
	public class PlateLegs : BaseArmor
	{
		[Constructable]
		public PlateLegs() : base( 0x1411, OreInfo.Iron, 40, ArmorMaterialType.Plate, ArmorBodyType.Legs )
		{
			Weight = 7;
			DexBonus = -6;
			StrRequirement = 60;
		}

		public PlateLegs( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}