using System;
using Server.Items;

namespace Server.Scripts.Items.Armor.Studded
{
	public class StuddedGloves : BaseArmor
	{
		[Constructable]
		public StuddedGloves() : base( 0x13D5, OreInfo.Iron, 16, ArmorMaterialType.Studded, ArmorBodyType.Gloves )
		{
			Weight = 2;
			DexBonus = 0;
			StrRequirement = 25;
		}

		public StuddedGloves( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}