using System;
using Server.Items;
using Server.Network;

namespace Server.Scripts.Items.Weapons.Axes
{
	public class WarAxe : BaseAxe
	{
		[Constructable]
		public WarAxe() : base( 9, 27, 40, 0x233, 0x239, 1, SkillName.Macing, WeaponType.Axe, WeaponAnimation.Bash1H, 0x13B0, Layer.OneHanded )
		{
			Weight = 8.0;
		}

		public WarAxe( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}