using System;
using Server.Items;

namespace Server.Scripts.Items.Armor.DaemonBone
{
	public class DaemonChest : BaseArmor
	{
		[Constructable]
		public DaemonChest() : base( 0x144F, OreInfo.Iron, 46, ArmorMaterialType.Bone, ArmorBodyType.Chest )
		{
			Name = "daemon bone armor";
			Weight = 1;
			DexBonus = -6;
			StrRequirement = 40;
			Hue = 0x648;
		}

		public DaemonChest( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}