using System;
using Server.Items;

namespace Server.Scripts.Items.Armor.Plate
{
	public class PlateGloves : BaseArmor
	{
		[Constructable]
		public PlateGloves() : base( 0x1414, OreInfo.Iron, 40, ArmorMaterialType.Plate, ArmorBodyType.Gloves )
		{
			Weight = 1;
			DexBonus = -2;
			StrRequirement = 30;
		}

		public PlateGloves( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}