using System;
using Server.Items;
using Server.Network;

namespace Server.Scripts.Items.Weapons.Axes
{
	public class ExecutionersAxe : BaseAxe
	{
		[Constructable]
		public ExecutionersAxe() : base( 6, 33, 37, 0x232, 0x23A, 1, SkillName.Swords, WeaponType.Axe, WeaponAnimation.Slash2H, 0xF45, Layer.TwoHanded )
		{
			Weight = 8.0;
		}

		public ExecutionersAxe( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}